/*
 * UOC-Video Shortcode button
 */
(function () {
    tinymce.PluginManager.add('uocVSB', function (editor, url) {
        editor.addButton('uocVSB', {
            text: 'ADD UOC-VIDEO',
            type: 'menubutton',
            icon: 'dashicons-format-video',
            menu: [
                {
                    text: 'Add UOC-Video without links',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'UOC Video Shortcode Wizard',
                            body: [
                                {
                                    type: 'textbox',
                                    name: 'idVideo',
                                    label: 'ID Video'
                                },
                                {
                                    type: 'textbox',
                                    name: 'urlVideo',
                                    label: 'URL Video'
                                },
                                {
                                    type: 'listbox',
                                    name: 'titleType',
                                    label: 'Title type',
                                    'values': [
                                        {
                                            text: 'h1',
                                            value: 'h1'
                                        },
                                        {
                                            text: 'h2',
                                            value: 'h2'
                                        },
                                        {
                                            text: 'h3',
                                            value: 'h3'
                                        },
                                        {
                                            text: 'h4',
                                            value: 'h4'
                                        },
                                        {
                                            text: 'h5',
                                            value: 'h5'
                                        },
                                        {
                                            text: 'h6',
                                            value: 'h6'
                                        }
                                    ]
                                },
                                {
                                    type: 'textbox',
                                    name: 'titleText',
                                    label: 'Title'
                                },
                            ],
                            onsubmit: function (e) {
                                editor.insertContent(['[UOC-VIDEO',
                                                        'id="' + e.data.idVideo + '"',
                                                        'url="' + e.data.urlVideo + '"',
                                                        'title_type="' + e.data.titleType + '"',
                                                        'title_text="' + e.data.titleText + '"',
                                                        ' /]'].join(' '));
                            }
                        });
                    }
                },
                {
                    text: 'Add UOC-Video with 1 link',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'UOC Video Shortcode Wizard',
                            body: [
                                {
                                    type: 'textbox',
                                    name: 'idVideo',
                                    label: 'ID Video'
                                },
                                {
                                    type: 'textbox',
                                    name: 'urlVideo',
                                    label: 'URL Video'
                                },
                                {
                                    type: 'listbox',
                                    name: 'titleType',
                                    label: 'Title type',
                                    'values': [
                                        {
                                            text: 'No title',
                                            value: ''
                                        },
                                        {
                                            text: 'h1',
                                            value: 'h1'
                                        },
                                        {
                                            text: 'h2',
                                            value: 'h2'
                                        },
                                        {
                                            text: 'h3',
                                            value: 'h3'
                                        },
                                        {
                                            text: 'h4',
                                            value: 'h4'
                                        },
                                        {
                                            text: 'h5',
                                            value: 'h5'
                                        },
                                        {
                                            text: 'h6',
                                            value: 'h6'
                                        }
                                    ]
                                },
                                {
                                    type: 'textbox',
                                    name: 'titleText',
                                    label: 'Title'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTitle',
                                    label: 'First link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTime',
                                    label: 'First link time (seconds)'
                                }
                            ],
                            onsubmit: function (e) {
                                editor.insertContent(['[UOC-VIDEO',
                                                        'id="' + e.data.idVideo + '"',
                                                        'url="' + e.data.urlVideo + '"',
                                                        'title_type="' + e.data.titleType + '"',
                                                        'title_text="' + e.data.titleText + '"',
                                                        'links="'+ e.data.firstLinkTitle + '||,,||' + e.data.firstLinkTime + '"',
                                                        ' /]'].join(' '));                                
                            }
                        });
                    }
                },                
                {
                    text: 'Add UOC-Video with 2 links',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'UOC Video Shortcode Wizard',
                            body: [
                                {
                                    type: 'textbox',
                                    name: 'idVideo',
                                    label: 'ID Video'
                                },
                                {
                                    type: 'textbox',
                                    name: 'urlVideo',
                                    label: 'URL Video'
                                },
                                {
                                    type: 'listbox',
                                    name: 'titleType',
                                    label: 'Title type',
                                    'values': [
                                        {
                                            text: 'No title',
                                            value: ''
                                        },
                                        {
                                            text: 'h1',
                                            value: 'h1'
                                        },
                                        {
                                            text: 'h2',
                                            value: 'h2'
                                        },
                                        {
                                            text: 'h3',
                                            value: 'h3'
                                        },
                                        {
                                            text: 'h4',
                                            value: 'h4'
                                        },
                                        {
                                            text: 'h5',
                                            value: 'h5'
                                        },
                                        {
                                            text: 'h6',
                                            value: 'h6'
                                        }
                                    ]
                                },
                                {
                                    type: 'textbox',
                                    name: 'titleText',
                                    label: 'Title'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTitle',
                                    label: 'First link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTime',
                                    label: 'First link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTitle',
                                    label: 'Second link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTime',
                                    label: 'Second link time (seconds)'
                                }
                            ],
                            onsubmit: function (e) {
                                editor.insertContent(['[UOC-VIDEO',
                                                        'id="' + e.data.idVideo + '"',
                                                        'url="' + e.data.urlVideo + '"',
                                                        'title_type="' + e.data.titleType + '"',
                                                        'title_text="' + e.data.titleText + '"',
                                                        'links="',
                                                        e.data.firstLinkTitle + '||,,||' + e.data.firstLinkTime + '||;;||', 
                                                        e.data.secondLinkTitle + '||,,||' + e.data.secondLinkTime + '"',  
                                                        ' /]'].join(' '));                                
                            }
                        });
                    }
                },
                {
                    text: 'Add UOC-Video with 3 links',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'UOC Video Shortcode Wizard',
                            body: [
                                {
                                    type: 'textbox',
                                    name: 'idVideo',
                                    label: 'ID Video'
                                },
                                {
                                    type: 'textbox',
                                    name: 'urlVideo',
                                    label: 'URL Video'
                                },
                                {
                                    type: 'listbox',
                                    name: 'titleType',
                                    label: 'Title type',
                                    'values': [
                                        {
                                            text: 'No title',
                                            value: ''
                                        },
                                        {
                                            text: 'h1',
                                            value: 'h1'
                                        },
                                        {
                                            text: 'h2',
                                            value: 'h2'
                                        },
                                        {
                                            text: 'h3',
                                            value: 'h3'
                                        },
                                        {
                                            text: 'h4',
                                            value: 'h4'
                                        },
                                        {
                                            text: 'h5',
                                            value: 'h5'
                                        },
                                        {
                                            text: 'h6',
                                            value: 'h6'
                                        }
                                    ]
                                },
                                {
                                    type: 'textbox',
                                    name: 'titleText',
                                    label: 'Title'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTitle',
                                    label: 'First link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTime',
                                    label: 'First link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTitle',
                                    label: 'Second link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTime',
                                    label: 'Second link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'thirdLinkTitle',
                                    label: 'Third link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'thirdLinkTime',
                                    label: 'Third link time (seconds)'
                                }
                            ],
                            onsubmit: function (e) {
                                editor.insertContent(['[UOC-VIDEO',
                                                        'id="' + e.data.idVideo + '"',
                                                        'url="' + e.data.urlVideo + '"',
                                                        'title_type="' + e.data.titleType + '"',
                                                        'title_text="' + e.data.titleText + '"',
                                                        'links="',
                                                        e.data.firstLinkTitle + '||,,||' + e.data.firstLinkTime + '||;;||', 
                                                        e.data.secondLinkTitle + '||,,||' + e.data.secondLinkTime + '||;;||',
                                                        e.data.thirdLinkTitle + '||,,||' + e.data.thirdLinkTime + '"',
                                                        ' /]'].join(' '));                                
                            }
                        });
                    }
                },
                {
                    text: 'Add UOC-Video with 4 links',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'UOC Video Shortcode Wizard',
                            body: [
                                {
                                    type: 'textbox',
                                    name: 'idVideo',
                                    label: 'ID Video'
                                },
                                {
                                    type: 'textbox',
                                    name: 'urlVideo',
                                    label: 'URL Video'
                                },
                                {
                                    type: 'listbox',
                                    name: 'titleType',
                                    label: 'Title type',
                                    'values': [
                                        {
                                            text: 'No title',
                                            value: ''
                                        },
                                        {
                                            text: 'h1',
                                            value: 'h1'
                                        },
                                        {
                                            text: 'h2',
                                            value: 'h2'
                                        },
                                        {
                                            text: 'h3',
                                            value: 'h3'
                                        },
                                        {
                                            text: 'h4',
                                            value: 'h4'
                                        },
                                        {
                                            text: 'h5',
                                            value: 'h5'
                                        },
                                        {
                                            text: 'h6',
                                            value: 'h6'
                                        }
                                    ]
                                },
                                {
                                    type: 'textbox',
                                    name: 'titleText',
                                    label: 'Title'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTitle',
                                    label: 'First link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTime',
                                    label: 'First link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTitle',
                                    label: 'Second link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTime',
                                    label: 'Second link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'thirdLinkTitle',
                                    label: 'Third link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'thirdLinkTime',
                                    label: 'Third link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'fourthLinkTitle',
                                    label: 'Fourth link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'fourthLinkTime',
                                    label: 'Fourth link time (seconds)'
                                }
                            ],
                            onsubmit: function (e) {
                                editor.insertContent(['[UOC-VIDEO',
                                                        'id="' + e.data.idVideo + '"',
                                                        'url="' + e.data.urlVideo + '"',
                                                        'title_type="' + e.data.titleType + '"',
                                                        'title_text="' + e.data.titleText + '"',
                                                        'links="',
                                                        e.data.firstLinkTitle + '||,,||' + e.data.firstLinkTime + '||;;||', 
                                                        e.data.secondLinkTitle + '||,,||' + e.data.secondLinkTime + '||;;||',
                                                        e.data.thirdLinkTitle + '||,,||' + e.data.thirdLinkTime + '||;;||',
                                                        e.data.fourthLinkTitle + '||,,||' + e.data.fourthLinkTime + '"',
                                                        ' /]'].join(' '));                                
                            }
                        });
                    }
                },
                {
                    text: 'Add UOC-Video with 5 links',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'UOC Video Shortcode Wizard',
                            body: [
                                {
                                    type: 'textbox',
                                    name: 'idVideo',
                                    label: 'ID Video'
                                },
                                {
                                    type: 'textbox',
                                    name: 'urlVideo',
                                    label: 'URL Video'
                                },
                                {
                                    type: 'listbox',
                                    name: 'titleType',
                                    label: 'Title type',
                                    'values': [
                                        {
                                            text: 'No title',
                                            value: ''
                                        },
                                        {
                                            text: 'h1',
                                            value: 'h1'
                                        },
                                        {
                                            text: 'h2',
                                            value: 'h2'
                                        },
                                        {
                                            text: 'h3',
                                            value: 'h3'
                                        },
                                        {
                                            text: 'h4',
                                            value: 'h4'
                                        },
                                        {
                                            text: 'h5',
                                            value: 'h5'
                                        },
                                        {
                                            text: 'h6',
                                            value: 'h6'
                                        }
                                    ]
                                },
                                {
                                    type: 'textbox',
                                    name: 'titleText',
                                    label: 'Title'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTitle',
                                    label: 'First link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'firstLinkTime',
                                    label: 'First link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTitle',
                                    label: 'Second link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'secondLinkTime',
                                    label: 'Second link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'thirdLinkTitle',
                                    label: 'Third link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'thirdLinkTime',
                                    label: 'Third link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'fourthLinkTitle',
                                    label: 'Fourth link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'fourthLinkTime',
                                    label: 'Fourth link time (seconds)'
                                },
                                {
                                    type: 'textbox',
                                    name: 'fifthLinkTitle',
                                    label: 'Fifth link name'
                                },
                                {
                                    type: 'textbox',
                                    name: 'fifthLinkTime',
                                    label: 'Fifth link time (seconds)'
                                }
                            ],
                            onsubmit: function (e) {
                                editor.insertContent(['[UOC-VIDEO',
                                                        'id="' + e.data.idVideo + '"',
                                                        'url="' + e.data.urlVideo + '"',
                                                        'title_type="' + e.data.titleType + '"',
                                                        'title_text="' + e.data.titleText + '"',
                                                        'links="',
                                                        e.data.firstLinkTitle + '||,,||' + e.data.firstLinkTime + '||;;||', 
                                                        e.data.secondLinkTitle + '||,,||' + e.data.secondLinkTime + '||;;||',
                                                        e.data.thirdLinkTitle + '||,,||' + e.data.thirdLinkTime + '||;;||',
                                                        e.data.fourthLinkTitle + '||,,||' + e.data.fourthLinkTime + '||;;||',
                                                        e.data.fifthLinkTitle + '||,,||' + e.data.fifthLinkTime + '"',
                                                        ' /]'].join(' '));                                
                            }
                        });
                    }
                }
           ]
        });
    });
})();