<?php

namespace League\OAuth2\Client\Provider;

use League\OAuth2\Client\Entity\User;

class UOC extends AbstractProvider
{
    public $response_type = 'token';

    public function urlAuthorize()
    {
        return UOC_VIDEO_SHORTCODE__OAUTH2_URL_AUTHORIZE;        
    }

    public function urlAccessToken()
    {
        return UOC_VIDEO_SHORTCODE__OAUTH2_URL_ACCESS_TOKEN;
    }

    public function urlUserDetails(\League\OAuth2\Client\Token\AccessToken $token)
    {
        return UOC_VIDEO_SHORTCODE__OAUTH2_URL_GET_USER_DETAILS.'?access_token='.$token;        
    }

    public function userDetails($response, \League\OAuth2\Client\Token\AccessToken $token)
    {
        $user = new User();
        $user->exchangeArray([
            'email' => $response->email,
            'name' => $response->fullName,
            'nickname' => $response->username,
            'firstName' => $response->name,
            'locale' => $response->language,
            'email' => $response->email,
            'uid' => $response->id,
            'imageUrl' => $response->photoUrl,
        ]);

        return $user;
    }
}